Bug 4421 - Invalid first line in maemo-scratchbox-install_5.0beta.sh
: Invalid first line in maemo-scratchbox-install_5.0beta.sh
Status: RESOLVED FIXED
Product: Development platform
SDK
: 5.0-beta
: All Linux
: Low normal (vote)
: ---
Assigned To: Janne Johansson
: sdk-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-04-29 21:35 UTC by Tony Green
Modified: 2009-05-04 13:09 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Tony Green (reporter) 2009-04-29 21:35:54 UTC
Attempting to run maemo-scratchbox-install_5.0beta.sh, it throws the following
error:
./maemo-scratchbox-install_5.0beta.sh: 1: u!/bin/sh: not found

Looks like a typo - the first line SHOULD read
#!/bin/sh
Comment 1 Janne Johansson nokia 2009-04-30 09:45:24 UTC
Well that's not good. I wonder why nobody noticed it before. It should be fixed
now, thanks for the report.
Comment 2 Tony Green (reporter) 2009-04-30 15:28:24 UTC
I'm still getting the wrong first line when I download it as per the
instructions at
http://maemo.org/development/sdks/maemo_5-0_installation/#64install:

wget
http://repository.maemo.org/unstable/5.0beta/maemo-scratchbox-install_5.0beta.sh
http://repository.maemo.org/unstable/5.0beta/maemo-sdk-install_5.0beta.sh

Could it be there's a wrong version there?
Comment 3 Andre Klapper maemo.org 2009-05-04 13:03:27 UTC
Tony: Still an issue even now? Mirrors hopefully should be updated now...
Comment 4 Tony Green (reporter) 2009-05-04 13:09:09 UTC
Looking good now, Andre. Cheers.